# Project Name

This project is intended for use on Ubuntu with a specific version of SWI-Prolog.

## Requirements

- **Operating System:** Ubuntu
- **SWI-Prolog Version:** 7.6.x or 8.4.x (or compatible)
- Python libraries listed in requirements.txt

## Installation and run

1. Ensure you have [SWI-Prolog](https://www.swi-prolog.org/) version 7.6.x installed on your Ubuntu system. If not, follow the [installation instructions](https://www.swi-prolog.org/Download.html) provided by SWI-Prolog's official website.
2. Install all the requirements libraries by running: __pip install -r requirements.txt__
3. Run the GUI using python3