import use_condlean
from clean_string import clean_string
import parse
import create_latex
from strings_ex import *

def general_pipe(s,file_name):

    input = f'pr({s},Tree).'

    prolog_out = use_condlean.call_prolog(input,file_name)
    #print(prolog_out)
    if prolog_out:
        #print(prolog_out)
        cleaned_out = clean_string(prolog_out[0]["Tree"])
        print(cleaned_out)
        parsed_tree = parse.parse_tree(cleaned_out)
        #print(parsed_tree)
        latex_tree = parse.get_latex_str(parsed_tree)
        create_latex.create_doc(s,latex_tree,'new_tree')
        return True
    else :
        return False

if __name__ == '__main__':

    chosen = s1

    print(general_pipe(chosen))
