tree_str = r"""
\[
\begin{prooftree}
     \[
        \[
            \[
\justifies y: A, x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ASSIOMA)
            \]
\justifies x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ID)
        \]
\justifies  \prova x: A, x : A \cond A \using (CONDR)
     \]
    \[
        \[
            \[
\justifies y: A, x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ASSIOMA)
            \]
\justifies x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ID)
        \]
\justifies  \prova x: A, x : A \cond A \using (CONDR)
\]
\justifies  \prova x : A \cond A \using (CS)
\end{prooftree}
\]
"""


new_output = '[{"Tree": "tree(cs, tree(condR, tree(id, tree(assioma, null, null, [[[Atom("437509"), Atom("273413")]], [[Atom("428933"), Atom("273413"), Atom("437509")]], []], [[[Atom("437509"), Atom("273413")], [Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), null, [[], [[Atom("428933"), Atom("273413"), Atom("437509")]], []], [[[Atom("437509"), Atom("273413")], [Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), null, [[], [], []], [[[Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), tree(condR, tree(id, tree(assioma, null, null, [[[Atom("437509"), Atom("273413")]], [[Atom("428933"), Atom("273413"), Atom("437509")]], []], [[[Atom("437509"), Atom("273413")], [Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), null, [[], [[Atom("428933"), Atom("273413"), Atom("437509")]], []], [[[Atom("437509"), Atom("273413")], [Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), null, [[], [], []], [[[Atom("428933"), Atom("273413")]], [], [[Atom("428933"), Functor(8708365,2,a,a)]]]), [[], [], []], [[], [], [[Atom("428933"), Functor(8708365,2,a,a)]]])"}]'
new_output_formatted = r"""
[{'Tree': "
tree(
    cs, 
    tree(
        condR, 
        tree(
            id, 
            tree(
                assioma, 
                null, 
                null, 
                [
                    [
                        [
                            Atom('437509'), 
                            Atom('273413')
                        ]
                    ], 
                    [
                        [
                            Atom('428933'), 
                            Atom('273413'), 
                            Atom('437509')
                        ]
                    ], 
                    [

                    ]
                ], 
                [
                    [
                        [
                            Atom('437509'), 
                            Atom('273413')
                        ], 
                        [
                            Atom('428933'), 
                            Atom('273413')
                        ]
                    ], 
                    [

                    ], [[Atom('428933'), Functor(8708365,2,a,a)]]]), null, [[], [[Atom('428933'), Atom('273413'), Atom('437509')]], []], [[[Atom('437509'), Atom('273413')], [Atom('428933'), Atom('273413')]], [], [[Atom('428933'), Functor(8708365,2,a,a)]]]), null, [[], [], []], [[[Atom('428933'), Atom('273413')]], [], [[Atom('428933'), Functor(8708365,2,a,a)]]]), tree(condR, tree(id, tree(assioma, null, null, [[[Atom('437509'), Atom('273413')]], [[Atom('428933'), Atom('273413'), Atom('437509')]], []], [[[Atom('437509'), Atom('273413')], [Atom('428933'), Atom('273413')]], [], [[Atom('428933'), Functor(8708365,2,a,a)]]]), null, [[], [[Atom('428933'), Atom('273413'), Atom('437509')]], []], [[[Atom('437509'), Atom('273413')], [Atom('428933'), Atom('273413')]], [], [[Atom('428933'), Functor(8708365,2,a,a)]]]), null, [[], [], []], [[[Atom('428933'), Atom('273413')]], [], [[Atom('428933'), Functor(8708365,2,a,a)]]]), [[], [], []], [[], [], [[Atom('428933'), Functor(8708365,2,a,a)]]])"}]
"""


output_str = '{"Tree": "tree(cs, tree(condR, tree(id, tree(assioma)), y, [Atom("428933"), Functor(8712461,2,a,a)]), tree(condR, tree(id, tree(assioma)), y, [Atom("428933"), Functor(8712461,2,a,a)]))"}'
output_str_formatted = r"""
tree(437509
    cs, 
    tree(
        condR, 
        tree(
            id, 
            tree(
                assioma
            )
        ), 
        y, 
        [
            Atom('428933'), 
            Functor(8712461,2,a,a)
        ]
    ), 
    tree(
        condR, 
        tree(
            id, 
            tree(assioma)
        ), 
        y, 
        [
            Atom('428933'), 
            Functor(
                8712461,
                2,
                a,
                a
            )
        ]
    )
)
"""


output_latex = r"""
\[
\begin{prooftree}
\[
\[
\[
\justifies y: A, x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ASSIOMA)
\]
\justifies x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ID)
\]
\justifies  \prova x: A, x : A \cond A \using (CONDR)
\]
\[
\[
\[
\justifies y: A, x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ASSIOMA)
\]
\justifies x \trans{A} y \prova y: A, x: A, x : A \cond A \using (ID)
\]
\justifies  \prova x: A, x : A \cond A \using (CONDR)
\]
\justifies  \prova x : A \cond A \using (CS)
\end{prooftree}
\]
"""

s1 = 'pr(a=>a,Tree)'
s2 = 'pr((a and b) -> (a => b),Tree).'
s3 = 'pr((a => b) -> (a -> b),Tree).'


es1 = 'pr((a => b) -> (a => b and c),Tree).'
es2 = 'pr(a => b,Tree).'

